
From: David Mosberger <davidm@napali.hpl.hp.com>

compat_sys_old_getrlimit() depends on sys_old_getrlimit() and the patch
below updates the guarding #ifdef accordingly.



 kernel/sys.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN kernel/sys.c~getrlimit-ifdef-fix kernel/sys.c
--- 25/kernel/sys.c~getrlimit-ifdef-fix	2003-06-23 22:51:49.000000000 -0700
+++ 25-akpm/kernel/sys.c	2003-06-23 22:51:49.000000000 -0700
@@ -5,6 +5,7 @@
  */
 
 #include <linux/config.h>
+#include <linux/compat.h>
 #include <linux/module.h>
 #include <linux/mm.h>
 #include <linux/utsname.h>
@@ -1219,7 +1220,7 @@ asmlinkage long sys_getrlimit(unsigned i
 			? -EFAULT : 0;
 }
 
-#if !defined(__ia64__) && !defined(CONFIG_V850)
+#if defined(COMPAT_RLIM_OLD_INFINITY) || !(defined(CONFIG_IA64) || defined(CONFIG_V850))
 
 /*
  *	Back compatibility for getrlimit. Needed for some apps.

_
